<?php
/**
 * Cached data output script.
 *
 * Parameters in:
 *   'cid' - Cache ID
 *   'type' - The type of content to output ('js', 'css')
 *
 * $Horde: imp/cache.php,v 1.3.2.2 2008/01/02 11:31:06 jan Exp $
 *
 * Copyright 2007-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author Michael Slusarz <slusarz@horde.org>
 */

/* Allow this script to be cached on the browser since there is no dynamic
 * code here that will change over the course of a session. */
$session_cache_limiter = 'public';
$session_control = 'readonly';
$session_timeout = 'none';

@define('AUTH_HANDLER', true);
$authentication = 'none';
@define('IMP_BASE', dirname(__FILE__));
require_once IMP_BASE . '/lib/base.php';

$cid = Util::getGet('cid');
$ctype = Util::getGet('type');

switch ($ctype) {
case 'css':
    $type = 'text/css';
    $lifetime = (empty($GLOBALS['conf']['server']['cachecssparams']['lifetime'])) ? 0 : $GLOBALS['conf']['server']['cachecssparams']['lifetime'];
    break;

case 'js':
    $type = 'text/javascript';
    $lifetime = (empty($GLOBALS['conf']['server']['cachejsparams']['lifetime'])) ? 0 : $GLOBALS['conf']['server']['cachejsparams']['lifetime'];
    break;

default:
    exit;
}

require_once 'Horde/Cache.php';
$cache = &Horde_Cache::singleton($GLOBALS['conf']['cache']['driver'], Horde::getDriverConfig('cache', $GLOBALS['conf']['cache']['driver']));
if (is_a($cache, 'PEAR_Error')) {
   Horde::logMessage('No cache backend available.', __FILE__, __LINE__, PEAR_LOG_ERR);
    exit;
}

// If cache info doesn't exist, just output an empty body.
header('Content-Type: ' . $type);
$cache->output($cid, $lifetime);
